import ctypes

class Foo(ctypes.Structure):
    _pack_ = 1
    _fields_ = [('x', ctypes.c_short),
                ('y', ctypes.c_int),
                ('z', ctypes.c_short),
                ('t', ctypes.c_double)]

lib = ctypes.CDLL('./test186_lib.so')
extn = lib.extn
extn.argtypes = [Foo]
extn.restype = ctypes.c_int


foo = Foo(10, 20, 30, 42.5)
extn(foo)
